Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class GetConsoleOutputResult

    java.lang.Object
      com.amazonaws.services.ec2.model.GetConsoleOutputResult

    public class GetConsoleOutputResult

extends Object

The result of the GetConsoleOutput operation.

Constructor Summary
`GetConsoleOutputResult()`

Method Summary
`String` | `getInstanceId()` The ID of the instance whose console output was requested.
`String` | `getOutput()` The console output, Base64 encoded.
`Date` | `getTimestamp()` The time the output was last updated.
`void` | `setInstanceId(String instanceId)` The ID of the instance whose console output was requested.
`void` | `setOutput(String output)` The console output, Base64 encoded.
`void` | `setTimestamp(Date timestamp)` The time the output was last updated.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetConsoleOutputResult` | `withInstanceId(String instanceId)` The ID of the instance whose console output was requested.
`GetConsoleOutputResult` | `withOutput(String output)` The console output, Base64 encoded.
`GetConsoleOutputResult` | `withTimestamp(Date timestamp)` The time the output was last updated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetConsoleOutputResult

    public GetConsoleOutputResult()

Method Detail

### getInstanceId

    public String getInstanceId()

  The ID of the instance whose console output was requested.

  Returns:
    The ID of the instance whose console output was requested.

### setInstanceId

    public void setInstanceId(String instanceId)

  The ID of the instance whose console output was requested.

  Parameters:
    `instanceId` - The ID of the instance whose console output was requested.

### withInstanceId

    public GetConsoleOutputResult withInstanceId(String instanceId)

  The ID of the instance whose console output was requested.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceId` - The ID of the instance whose console output was requested.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getTimestamp

    public Date getTimestamp()

  The time the output was last updated.

  Returns:
    The time the output was last updated.

### setTimestamp

    public void setTimestamp(Date timestamp)

  The time the output was last updated.

  Parameters:
    `timestamp` - The time the output was last updated.

### withTimestamp

    public GetConsoleOutputResult withTimestamp(Date timestamp)

  The time the output was last updated.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `timestamp` - The time the output was last updated.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getOutput

    public String getOutput()

  The console output, Base64 encoded.

  Returns:
    The console output, Base64 encoded.

### setOutput

    public void setOutput(String output)

  The console output, Base64 encoded.

  Parameters:
    `output` - The console output, Base64 encoded.

### withOutput

    public GetConsoleOutputResult withOutput(String output)

  The console output, Base64 encoded.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `output` - The console output, Base64 encoded.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.